# Interface Compilation

#### Hierarchy

- Compilation

- Defined in packages/db/typings/schema.d.ts:333

#####
Index

### Properties

compiler
contracts
id
immutableReferences
processedSources
sourceMaps
sources
type

## Properties

### compiler

compiler: Compiler

- Defined in packages/db/typings/schema.d.ts:334

### contracts

contracts: (null | DataModel.Contract)[]

- Defined in packages/db/typings/schema.d.ts:338

### id

id: string

- Defined in packages/db/typings/schema.d.ts:340

### immutableReferences

immutableReferences: (null | ImmutableReference)[]

- Defined in packages/db/typings/schema.d.ts:339

### processedSources

processedSources: (null | ProcessedSource)[]

- Defined in packages/db/typings/schema.d.ts:336

### sourceMaps

sourceMaps: null | (null | SourceMap)[]

- Defined in packages/db/typings/schema.d.ts:337

### sources

sources: (null | DataModel.Source)[]

- Defined in packages/db/typings/schema.d.ts:335

### type

type: string

- Defined in packages/db/typings/schema.d.ts:341

Generated using TypeDoc